Bug 2117822 - oc adm release extract should handle ccoctl
Summary: oc adm release extract should handle ccoctl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.11
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.12.0
Assignee: Yaakov Selkowitz
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks: 2117823
TreeView+ depends on / blocked
 
Reported: 2022-08-12 02:58 UTC by Yaakov Selkowitz
Modified: 2023-01-17 19:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-01-17 19:54:55 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oc pull 1194 0 None Merged Bug 2117822: release: extract ccoctl 2022-08-15 09:57:57 UTC
Red Hat Product Errata RHSA-2022:7399 0 None None None 2023-01-17 19:55:07 UTC

Description Yaakov Selkowitz 2022-08-12 02:58:02 UTC
The documentation currently has a complicated procedure for extracting ccoctl from the payload.  oc adm release extract should be taught how to handle this instead in order to provide a simpler extraction procedure.

Comment 2 Jan Chaloupka 2022-08-15 09:56:14 UTC
Hi Yaakov, would you please point me to the documentation? Also, do you know why the BZ was moved to MODIFIED by the OpenShift BugZilla Robot?

Comment 3 Jan Chaloupka 2022-08-15 09:59:08 UTC
I see. When a PR is backported, the Bot creates a fresh new master branch BZ (if there's none) since 4.11 BZ requires a dependent BZ to be in VERIFIED state to properly proceed further.

Comment 4 Yaakov Selkowitz 2022-08-15 13:00:19 UTC
Example: https://docs.openshift.com/container-platform/4.11/authentication/managing_cloud_provider_credentials/cco-mode-sts.html#cco-ccoctl-configuring_sts-mode-upgrading

And yes, while this was changed in 4.12 without a BZ, this is needed in order to proceed with a 4.11 backport/cherry-pick.

Comment 5 zhou ying 2022-08-16 03:17:54 UTC
[root@localhost ~]# oc version --client
Client Version: 4.12.0-0.nightly-2022-08-12-053438
Kustomize Version: v4.5.4


[root@localhost ~]# oc adm release extract --command='ccoctl' registry.ci.openshift.org/ocp/release:4.12.0-0.nightly-2022-08-15-150248
Warning: the default reading order of registry auth file will be changed from "${HOME}/.docker/config.json" to podman registry config locations in the future version of oc. "${HOME}/.docker/config.json" is deprecated, but can still be used for storing credentials as a fallback. See https://github.com/containers/image/blob/main/docs/containers-auth.json.5.md for the order of podman registry config locations.
Warning: the default reading order of registry auth file will be changed from "${HOME}/.docker/config.json" to podman registry config locations in the future version of oc. "${HOME}/.docker/config.json" is deprecated, but can still be used for storing credentials as a fallback. See https://github.com/containers/image/blob/main/docs/containers-auth.json.5.md for the order of podman registry config locations.
[root@localhost ~]# ls ccoctl 
ccoctl

Comment 8 errata-xmlrpc 2023-01-17 19:54:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.12.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:7399


Note You need to log in before you can comment on or make changes to this bug.